SoOneShotSensor(3)

NAME
SoOneShotSensor - The SoOneShotSensor class is a sensor which will trigger once.

SYNOPSIS

#include <Inventor/sensors/SoOneShotSensor.h>

Inherits SoDelayQueueSensor.

  Public Member Functions
SoOneShotSensor (void)
SoOneShotSensor (SoSensorCB *func, void *data)
virtual ~SoOneShotSensor (void)

  Additional Inherited Members

Detailed Description

The SoOneShotSensor class is a sensor which will trigger once. Since SoOneShotSensor is a subclass of SoDelayQueueSensor, it will trigger as soon as either the runtime system is idle, or if it is continually busy it will trigger within a fixed amount of time (this is by default 1/12th of a second, see SoSensorManager::setDelaySensorTimeout()).

Constructor & Destructor Documentation

  SoOneShotSensor::SoOneShotSensor (void)
Constructor.

  SoOneShotSensor::SoOneShotSensor (SoSensorCB * func, void * data)
Constructor taking as parameters the sensor callback function and the userdata which will be passed to the callback.

See also
    setFunction(), setData()

  SoOneShotSensor::~SoOneShotSensor (void) [virtual]
Destructor.

Author

Generated automatically by Doxygen for Coin from the source code.